Package cds.healpix

# Class HealpixNestedUltraCompactMOC

java.lang.Object
cds.healpix.HealpixNestedUltraCompactMOC

public class HealpixNestedUltraCompactMOC extends Object
The idea is to use an implicit datastructure, encoding the natural tree traversal on bits with: - 0 bit: cell not in the MOC, go to the next sibling cell or go up if all siblings already explored - 1 bit: cell contains information, go deeper - 0000 bits: parent cell is in the MOC, no need to go deeper (ony for cells of depth < depthMax) (DISCLAIMER: for a more recent and slightly more compact version, see the CDS HEALPix Rust)

Author:
  F.-X. Pineau

## Constructor Summary

Constructors
Constructor
Description
`HealpixNestedUltraCompactMOC()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`compress(HealpixNestedBMOC moc)`
`static HealpixNestedBMOC`
`decompress(int depthMax, byte[] compressedMoc)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HealpixNestedUltraCompactMOC

public HealpixNestedUltraCompactMOC()

## Method Details

### compress

public static byte[] compress(HealpixNestedBMOC moc)

### decompress

public static HealpixNestedBMOC decompress(int depthMax, byte[] compressedMoc)